php 安装redis拓展

mr_huangy 发布于 2016/04/26 14:41
阅读 619
收藏 0
我是php 5.6.15  x86 vc11 ts ,我将php_igbinary.dll php_redis.dll放进去了,也改了php.ini 相信是没有错的。但是重启apache后怎么样也是用不了redis 。php_igbinary.dll php_redis.dll这两个我试过用php5.5的版本的也用过php5.6版本的,但是就是开启不了。大神救救啊。急急急!!!!ps:我是用xampp的
加载中
0
微凡
微凡

注意这几个条件:

  1.  只能是基于 PHP 5.6.x 编译的扩展
  2. 只能是用 VC 11 x86 编译的,其它不可用
  3. 区分是 NTS 还是 TS,看你的只能是 TS 版本的


不满足以上条件的扩展都不可用

m
mr_huangy
想问问。有没有符合我的啊。发过来用用
0
inuxor
inuxor
还折腾windows干啥,linux一条apt/yum的事
0
微凡
微凡
http://pecl.php.net/package/redis/2.2.7/windows 
0
mrmusic
mrmusic
我用的phpstudy,直接下载下来,放进去,然后重启Apache就可以啦,不过这个版本要搞正确。也不复杂哈。~.~
0
Tuesday
Tuesday

http://pecl.php.net/package/redis/2.2.7/windows

这儿不是有许多?

0
梦想岛
梦想岛
http://windows.php.net/downloads/pecl/releases/redis/2.2.7/
这儿不是有许多?
0
OSC首席键客
OSC首席键客
你看下日志,如果是不匹配的版本启动的时候会报错!如果是对的话就不会报错。
返回顶部
顶部